// DecLib.h : main header file for the DECLIB DLL
//
#define CDEVICELIB_EXPORTS

#ifdef CDEVICELIB_EXPORTS
#define CDEVICELIB_API __declspec(dllexport)
#else
#define CDEVICELIB_API __declspec(dllimport)
#endif

#if !defined(AFX_DECLIB_H__399A8174_B02D_4493_AFDE_DE52E924A525__INCLUDED_)
#define AFX_DECLIB_H__399A8174_B02D_4493_AFDE_DE52E924A525__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#define DECISION_PCI_IND_CARD		0x0001
#define DECISION_PCI_8255_CARD		0x0002
#define DECISION_PCI_4P4R_CARD		0x0003
#define DECISION_PCI_8P8R_CARD		0x0004
#define DECISION_PCI_16P16R_CARD	0x0005
#define DECISION_PCI_WATCHDOG_CARD	0x0006
#define DECISION_PCI_M8255_CARD		0x0007
#define DECISION_PCI_12ADDA_CARD	0x0008
#define DECISION_PCI_14ADDA_CARD	0x0009

extern "C" CDEVICELIB_API BOOL WINAPI OpenDecPort(void);
extern "C" CDEVICELIB_API void WINAPI CloseDecPort(void);
extern "C" CDEVICELIB_API BOOL WINAPI outportb(unsigned short, unsigned char);
extern "C" CDEVICELIB_API BOOL WINAPI outport(unsigned short, unsigned short);
extern "C" CDEVICELIB_API unsigned char WINAPI inportb(unsigned short);
extern "C" CDEVICELIB_API unsigned short WINAPI inport(unsigned short);
extern "C" CDEVICELIB_API BOOL WINAPI GetDevicePortAddress(unsigned int, unsigned short*);
extern "C" CDEVICELIB_API BOOL WINAPI GetDevicePortAddressEx(unsigned short*);
extern "C" CDEVICELIB_API BOOL WINAPI GetDevicePortAddressEx2(unsigned int, unsigned int, unsigned short *);

#endif // !defined(AFX_DECLIB_H__399A8174_B02D_4493_AFDE_DE52E924A525__INCLUDED_)
