// MyPCIIndustrialCardTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MyPCIIndustrialCardTest.h"
#include "MyPCIIndustrialCardTestDlg.h"
#include "DecLib.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyPCIIndustrialCardTestDlg dialog

CMyPCIIndustrialCardTestDlg::CMyPCIIndustrialCardTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMyPCIIndustrialCardTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMyPCIIndustrialCardTestDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMyPCIIndustrialCardTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMyPCIIndustrialCardTestDlg)
	DDX_Control(pDX, ID_AUTORUN, m_autorun);
	DDX_Control(pDX, IDC_COMBO1, m_combo_droplist);
	DDX_Control(pDX, IDC_SLIDER1, m_slider_ctrl);
	//}}AFX_DATA_MAP
	for(int i = 0 ; i<64 ; i++)
       DDX_Control(pDX, IDC_RADIO0+i, allchannel[i]) ;


}

BEGIN_MESSAGE_MAP(CMyPCIIndustrialCardTestDlg, CDialog)
	//{{AFX_MSG_MAP(CMyPCIIndustrialCardTestDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_CBN_SELCHANGE(IDC_COMBO1, OnSelchangeCombo1)
	ON_BN_CLICKED(ID_AUTORUN, OnAutorun)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
	ON_COMMAND_RANGE(IDC_RADIO0,IDC_RADIO63,ManualTest)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyPCIIndustrialCardTestDlg message handlers

BOOL CMyPCIIndustrialCardTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
    m_combo_droplist.AddString("Auto");
    m_combo_droplist.AddString("Manual");
    m_combo_droplist.SetCurSel(0);
    m_slider_ctrl.SetRange(50,1000) ;
    
    m_bstate = false;
    manualTorF = false;
	//Open device port
	OpenDecPort();
	//if(!GetDevicePortAddress(DECISION_PCI_IND_CARD,&ioport)
	if(!GetDevicePortAddress(1,&ioport))
	{
		AfxMessageBox("Open Device Error !!");
		EndDialog(-1);
	}
    for(unsigned int i=0 ; i < 64 ; i++)
	  line[i] = false ;
    
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CMyPCIIndustrialCardTestDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CMyPCIIndustrialCardTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMyPCIIndustrialCardTestDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CMyPCIIndustrialCardTestDlg::OnSelchangeCombo1() 
{
	// TODO: Add your control notification handler code here

	if(!m_combo_droplist.GetCurSel())
    {
      m_slider_ctrl.EnableWindow(true);
	  m_autorun.EnableWindow(true);
	  manualTorF = false;
	  for(unsigned int i = 0 ; i<64 ; i++)
	  {	 
		 allchannel[i].SetCheck(false); 
	     allchannel[i].EnableWindow(false);
	     line[i] = false ;
	  }
	}
	else
	{
	  m_slider_ctrl.EnableWindow(false);
	  m_slider_ctrl.SetPos(m_slider_ctrl.GetRangeMin()); 
	  m_autorun.EnableWindow(false);
	  manualTorF = true;
	  KillTimer(m_nTimer);
	  for(unsigned int i = 0 ; i<64 ; i++)
	    allchannel[i].EnableWindow(true); 
	  for(i=0 ; i , i<4 ; i++)
	    outport(ioport+i*2,0x0000);
	  
	}
}

void CMyPCIIndustrialCardTestDlg::OnAutorun() 
{
	// TODO: Add your control notification handler code here
	m_bstate = !m_bstate;

	if(m_bstate)
	{
	  m_autorun.SetWindowText("Stop~");
	  now_out_ch = 0 ;    //reset
	  now_out_line = 1 ;  //reset
      m_nTimer = SetTimer(1,1,0);

	}
	else
	{
  	  m_autorun.SetWindowText("Test~");
      KillTimer(m_nTimer);
	}
}

void CMyPCIIndustrialCardTestDlg::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default

    if(now_out_ch <= 3)     //channel 0 to 3
	  if(now_out_line <= 0x8000) //line 0 to 15 line
      { 
		OneTimeSignalDisplay(now_out_ch,now_out_line, manualTorF);
	    now_out_line = now_out_line << 1; 
		for(int delay1=0;delay1<=m_slider_ctrl.GetPos();delay1++)
	    for(int delay2=0;delay2<=m_slider_ctrl.GetPos();delay2++);
	  }
	  else
	  { 
		now_out_line = 1 ; 
	    now_out_ch++; 
	  }
	else
	  now_out_ch = 0;


	CDialog::OnTimer(nIDEvent);
}

void CMyPCIIndustrialCardTestDlg::ManualTest(UINT idButton)
{
	idButton = idButton-IDC_RADIO0 ;

	if(m_combo_droplist.GetCurSel())
    {
	  if(line[idButton])
        allchannel[idButton].SetCheck(false) ;
	  line[idButton] = !line[idButton] ;
	}
	else
	  allchannel[idButton].SetCheck(false) ;

	unsigned short ch_num = (idButton)/16 ;
    unsigned short shift =  (idButton)%16;
    unsigned int ch_line = 1;
	ch_line = ch_line << shift;
    OneTimeSignalDisplay(ch_num ,ch_line, manualTorF);
}

void CMyPCIIndustrialCardTestDlg::OneTimeSignalDisplay
     (unsigned short output_channel ,unsigned short output_line, bool manualTorF)
{   
	unsigned short out_value=0, in_value=0 ;
    unsigned short out = 1, in = 1 ;
	unsigned short input_channel, input_line ; 
    input_channel = 3-output_channel ;
    unsigned short  pre_outline = inport(ioport+output_channel*2);
	outport(ioport+input_channel*2,0xffff);

	if(manualTorF)
	{     
	  output_line = pre_outline ^ output_line;
   	  outport(ioport+output_channel*2,output_line);
	  input_line = inport(ioport+input_channel*2);
      
	  for(int bit=0;bit<=15;bit++)
	  {
        if(((output_line>>bit)&0x0001)==1)	
		    out_value= out_value + out ; 
		if(((input_line>>bit)&0x0001)==1)
		{
			allchannel[input_channel * 16 + bit].SetCheck(BST_CHECKED);
			line[input_channel * 16 + bit] = true ;
			in_value= in_value + in ;
		}
		else
		{
			allchannel[input_channel * 16 + bit].SetCheck(BST_UNCHECKED);
		    line[input_channel * 16 + bit] = false ;
		}
		out = out * 2 ;
		in = in * 2 ;
	  }
	}
	else  //auto mode 
	{
	  outport(ioport+output_channel*2,output_line);
	  input_line = inport(ioport+input_channel*2);
      for(int line=0; line<64 ; line++)
        allchannel[line].EnableWindow(false);

	  for(int bit=0;bit<=15;bit++)
	  { 
		if(((output_line>>bit)&0x0001)==1)
		{	
			allchannel[output_channel * 16 + bit].EnableWindow(true); 
		    out_value= out_value + out ; 
		}   
		else
			allchannel[output_channel * 16 + bit].EnableWindow(false);  
		if(((input_line>>bit)&0x0001)==1)
		{	
			allchannel[input_channel * 16 + bit].EnableWindow(true);
			in_value= in_value + in ;
		}
		else
			allchannel[input_channel * 16 + bit].EnableWindow(false);      
		out = out * 2 ;
		in = in * 2 ;
	  }
	} 
    CString str;
	text = (CStatic*) GetDlgItem(IDC_Output);
	str.Format("Channel[%d]: %7d",output_channel,out_value);  
	text->SetWindowText(str);
	text = (CStatic*) GetDlgItem(IDC_Input);
	str.Format("Channel[%d]: %7d",input_channel,in_value);  
	text->SetWindowText(str);
}